/**
 * @packageDocumentation
 * @module utils
 */
import { Injector } from '@angular/core';
import dayjs, { ConfigType } from 'dayjs';
import * as i0 from "@angular/core";
export declare class TimeService {
    private readonly injector;
    get currTz(): string;
    constructor(injector: Injector);
    now(utc?: boolean): dayjs.Dayjs;
    format(date?: ConfigType, dateFormat?: string): string;
    distance(date: ConfigType, baseDate?: ConfigType): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TimeService>;
}
